## ros-indigo-softkinetic 0.6.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(softkinetic)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-softkinetic (0.6.2-0trusty) trusty; urgency=high

  * Update CHANGELOG.rst
  * Contributors: Nadia Hammoudeh García

 -- florian Weisshardt <fmw@ipa-fhg.de>  Wed, 22 Jun 2016 22:00:00 -0000

ros-indigo-softkinetic (0.6.1-0trusty) trusty; urgency=high

  * 0.6.1
  * added CHANGELOG
  * consistent version nummber
  * Pull request #30 <https://github.com/ipa320/softkinetic/issues/30>: a complete driver revision of the driver
    Also puts indigo branch up to date with hydro, so PR #33 <https://github.com/ipa320/softkinetic/issues/33> is unnecessary
  * Metapackages don't have build_depends
  * Remove a harmless warning when compiling
    and also when running: metapackages should not contain build dependencies.
  * fix CMakeLists of metapackage
  * add metapackage
  * Contributors: Florian Weisshardt, corot, ipa-nhg

 -- florian Weisshardt <fmw@ipa-fhg.de>  Mon, 20 Jun 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-softkinetic
Section: misc
Priority: extra
Maintainer: florian Weisshardt <fmw@ipa-fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://wiki.ros.org/softkinetic
Standards-Version: 3.9.2

Package: ros-indigo-softkinetic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-softkinetic-camera
Description: The softkinetic package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-softkinetic//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
